Bug 601164 - anaconda freeze on GeForce3 Ti with "could not open display"
anaconda freeze on GeForce3 Ti with "could not open display"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 07:36 EDT by Andrey
Modified: 2011-06-07 08:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: 14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-07 08:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GF3Ti200 and nouveau (9.56 KB, text/plain)
2010-07-01 08:13 EDT, Andrey
no flags Details
no nomodeset and vga options (11.97 KB, text/plain)
2010-07-03 18:04 EDT, Andrey
no flags Details
have nomodeset, no vga (9.55 KB, text/plain)
2010-07-03 18:05 EDT, Andrey
no flags Details
dmesg (25.42 KB, text/plain)
2010-07-05 17:59 EDT, Andrey
no flags Details
Xorg.0.log by nouveau (35.18 KB, text/plain)
2010-07-05 18:04 EDT, Andrey
no flags Details
xorg.conf for all x-drivers (12.44 KB, text/plain)
2010-07-05 18:14 EDT, Andrey
no flags Details
Xorg.0.log contain probable error (31.42 KB, text/plain)
2010-07-07 13:54 EDT, Andrey
no flags Details
Xorg.0.log, noaccel, xorg.conf (64.63 KB, text/plain)
2010-07-08 17:50 EDT, Andrey
no flags Details

  None (edit)
Description Andrey 2010-06-07 07:36:27 EDT
Description of problem:
I am updating from 12 to 13 with preupgrade or DVD.iso(Install or upgrade existing).
Anaconda freeze every time on switching to graphical mode.
Last message in third console "could not open display. switching back to text mode"

Version-Release number of selected component (if applicable):
13 and same problem in f12(anaconda 12.46)

How reproducible:
every time

Steps to Reproduce:
1. Prepare all by preupgrade, press "Reboot now". Or boot from dvd.
2. select Upgrade (to f13) in grub
3. go to switching in graphical mode
  
Actual results:
black screen

Expected results:
window with Next button

Additional info:
video card agp4 Chaintech GeForce3 Ti 200 64Mb
upgrading only in vesa mode on dvd(install with basic video driver). it install not grub correctly, but already another problem(need boot Rescue then grub-install /dev/sdb, reboot).
Comment 1 Vedran Miletić 2010-06-07 11:03:30 EDT
This is graphics driver issue. Reassigning to correct component.
Comment 2 Andrey 2010-06-09 07:21:48 EDT
could not open display - driver issue
switching back to text mode - anaconda not returning in work. computer respond on reset only
Comment 3 Ben Skeggs 2010-06-09 18:55:44 EDT
Okay.  My guess is the preupgrade doesn't update all the necessary bits at the same time before it reboots.

Nouveau had an ABI change between F12 and F13, *all* the driver bits need updating for it to work.  So if this is the case, it's a CANTFIX from me, but maybe the preupgrade people can do something?

What do you see (after reboot) from: "rpm -q kernel libdrm xorg-x11-drv-nouveau"?
Comment 4 Andrey 2010-06-15 09:26:32 EDT
I have F13 already in last updated state.
I dont use nouveau driver in F11, 12, 13.
If i install it now in f13 then X dont start.
Comment 5 Ben Skeggs 2010-06-23 11:32:20 EDT
My question in comment #3 still stands.  And, you /var/log/Xorg.0.log from a failed X log would be great in seeing what is going wrong...
Comment 6 Andrey 2010-07-01 08:08:56 EDT
For this time, nothing about installation:

[root@fedora ~]# rpm -q kernel libdrm xorg-x11-drv-nouveau
kernel-2.6.33.3-85.fc13.i686
kernel-2.6.33.5-112.fc13.i686
kernel-2.6.33.5-124.fc13.i686
libdrm-2.4.20-1.fc13.i686
xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13.i686
Comment 7 Andrey 2010-07-01 08:13:31 EDT
Created attachment 428368 [details]
GF3Ti200 and nouveau

nothing about the bug on installation
Comment 8 Ben Skeggs 2010-07-01 18:05:22 EDT
Remove nomodeset and vga= parameters from your boot options...  Nouveau can't work without nomodeset in F13, and vga= is useless with nouveau loaded.
Comment 9 Andrey 2010-07-03 18:02:37 EDT
"Remove" and "can't work without"?
vga= for good resolution in console.
Presence "nomodeset" have not effect. But logs is different. Attache.
Comment 10 Andrey 2010-07-03 18:04:26 EDT
Created attachment 429301 [details]
no nomodeset and vga options
Comment 11 Andrey 2010-07-03 18:05:33 EDT
Created attachment 429302 [details]
have nomodeset, no vga
Comment 12 Ben Skeggs 2010-07-04 18:57:23 EDT
Without nomodeset you'll *get* a good console resolution from nouveau itself if things are working.

Something else does appear to be up, can I see a kernel log *without* nomodeset and vga=

Thanks :)
Comment 13 Andrey 2010-07-05 17:59:21 EDT
Created attachment 429619 [details]
dmesg

After
Jul 05 23:51:41 Erased: kmod-nvidia-2.6.33.5-112.fc13.i686.PAE
Jul 05 23:51:52 Erased: xorg-x11-drv-nvidia
Jul 05 23:51:54 Erased: xorg-x11-drv-nvidia-libs
Comment 14 Andrey 2010-07-05 18:04:36 EDT
Created attachment 429620 [details]
Xorg.0.log by nouveau

with mesa-dri-drivers-experimental-7.8.1-6.fc13.i686 too
Comment 15 Andrey 2010-07-05 18:14:39 EDT
Created attachment 429621 [details]
xorg.conf for all x-drivers

if nouveau instead vesa then system stop in console. need reset
boot display equal approximately 1/4 of monitor after switch to 1268x1024
resolution in console changing after NVIDIA-Linux-x86-96.43.16-pkg1.run --uninstall
Comment 16 Ben Skeggs 2010-07-05 19:22:12 EDT
So, those last two logs, what exactly is wrong?  There's no "could not open display" in those logs..
Comment 17 Andrey 2010-07-06 15:43:10 EDT
I'm sorry.
All 6 log files are wrong. I think, in the beginning official nvidia drivers prevent nouveau. Now files dmesg, Xorg.0.log, kdm.log are empty after the press reset. I boot from DVD and see it.

File /var/log/messages contain
"Jul  6 20:01:25 fedora kernel: imklog 4.4.2, log source = /proc/kmsg started.
Jul  6 20:01:25 fedora rsyslogd: [origin software="rsyslogd" swVersion="4.4.2" x-pid="962" x-info="http://www.rsyslog.com"] 
(re)start
Jul  6 20:01:25 fedora kernel: Initializing cgroup subsys cpuset
Jul  6 20:01:25 fedora kernel: Initializing cgroup subsys cpu
Jul  6 20:01:25 fedora kernel: Linux version 2.6.33.5-124.fc13.i686.PAE (mockbuild@x86-11.phx2.fedoraproject.org) (gcc versi
on 4.4.4 20100503 (Red Hat 4.4.4-2) (GCC) ) #1 SMP Fri Jun 11 09:42:24 UTC 2010
Jul  6 20:01:25 fedora kernel: BIOS-provided physical RAM map:
Jul  6 20:01:25 fedora kernel: BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
Jul  6 20:01:25 fedora kernel: BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
Jul  6 20:01:25 fedora kernel: BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
Jul  6 20:01:25 fedora kernel: BIOS-"

File dmesg look like above with vesa.

System freeze on switch to graphical mode.

Problem in hardware? Continue to use official driver?
Comment 18 Ben Skeggs 2010-07-06 19:45:33 EDT
I'm still confused what is happening.  The vesa driver *will* cause the system to hang if you've got nouveau KMS (so, no nomodeset) running.

Can you:
1) make sure the nvidia binary driver is uninstalled
2) delete your /etc/X11/xorg.conf 
3) remove nomodeset
4) reboot

And see what happens?
Comment 19 Andrey 2010-07-07 13:54:31 EDT
Created attachment 430137 [details]
Xorg.0.log contain probable error

1-4 done.
startx -> black screen, no keyboard, but disk LED blink
"EQ overflowing" is first time. Maybe it's effect of Ctrl+Alt+Del in this loop. I pressed these keys on black screen and on "decelerating NumLock".
Comment 20 Andrey 2010-07-07 15:29:13 EDT
in additional, i erased mesa-dri-drivers-experimental.i686 befor this log
Comment 21 Ben Skeggs 2010-07-07 19:08:08 EDT
Ok, it looks like the GPU probably hung for some reason.  You might be able to work around with "nouveau.noaccel=1" in your boot options for now.

What did you do differently in the log from comment 14?  The GPU seems happy there.
Comment 22 Andrey 2010-07-08 17:50:23 EDT
Created attachment 430489 [details]
Xorg.0.log, noaccel, xorg.conf

Nice option! :) X start on boot, by startx, w/o xorg.conf. Thank you!
In login manager got segfault on console login. I can to show log.
The game supertux is very slow.

I think, the difference is in using conf file and noaccel. In attache you can to see the continue of log from comment #4.

Where to point options AddARGBGLXVisuals, Composite, etc without xorg.conf? Will it work with noaccel? Will this option forever? :)
Comment 23 Andrey 2010-07-08 17:54:26 EDT
Comment on attachment 430489 [details]
Xorg.0.log, noaccel, xorg.conf

Nice option! :) X start on boot, by startx, w/o xorg.conf. Thank you!
In login manager got segfault on console login. I can to show log.
The game supertux is very slow.

I think, the difference is in using conf file and noaccel. In attache you can
to see the continue of log from comment 14.

Where to point options AddARGBGLXVisuals, Composite, etc without xorg.conf?
Will it work with noaccel? Will this option forever? :)
Comment 24 Ben Skeggs 2010-07-08 22:59:42 EDT
Those options are for the NVIDIA binary driver and aren't relevant to nouveau at all.
Comment 25 Andrey 2010-07-10 05:46:27 EDT
Thank you, Ben. I will wait correction in driver.
Comment 26 Bug Zapper 2011-06-02 07:44:45 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.